# Évolutions

## 1. Studio - Ajout d'un nouveau champ de type "dessin"

Développement d'un nouveau champ "dessin" dans le studio permettant de dessiner à main levée. Une fois le dessin réalisé, ce dernier s'enregistrera en tant qu'image dans l'application vMap et ne sera plus modifiable.
Cette fonctionnalité a notamment été développée pour réaliser des signatures numériques depuis un appareil mobile, tablette ou depuis un ordinateur bureautique. 

![](images/champ_dessin_rendu.png)

## 2. Studio - Ajout d'une image "Aide" dans chaque champ

Les options avancées (de chaque type de champ) permettent de définir un commentaire. Cette fonctionnalité a notamment été développée pour permettre d'ajouter simplement une "aide au remplissage" du champ concerné.

#### Configuration dans le studio :
![](images/champ_aide_admin.png)

#### Rendu : 
![](images/champ_aide_client.png)


## 3. vMap - Augmentation de la taille du champ "server" de la table "s_vm4ms.connection"

Pour permettre l'enregistrement de "serveurs" AWS, la taille du champ "server" de la table "s_vm4ms.connection" a été augmentée à 100 caractères.

## 4. Création d'une couche : tri de la liste déroulante des "schémas"

Lors de la création / modification d'une couche (mode MS), la liste déroulante "Schéma" est désormais triée par ordre alphabétique.

## 5. Consultation d'un calque : liste des cartes associées

La consultation d'un calque permet de connaître à quelle.s carte.s est associé le calque.

![](images/maps_layer1.png)<br><br>
![](images/maps_layer2.png)

## 6. Objet métier non cartographique : Ajout d'un i pour avoir plus d'information

La gestion des objets métiers non cartographiques a été développée en version 2019.02 de vMap. Pour que le paramétrage de cette fonctionnalité soit plus clair pour les administrateurs, un "i" d'information a été ajouté à côté du champ.


# Anomalies corrigées


## 1- Ajout de plusieurs documents dans les formulaires enfants

L'ajout de plusieurs documents dans les formulaires enfants rajoute automatiquement un nouveau document nommé blob.

![](images/blob_document_objetmetier.png)

## 2- Studio : Valeur nulle pour les champ de type date

Il est impossible de modifier par une valeur nulle un champ de type "date" qui contient une valeur.

## 3- Studio - Formulaire d'objet métier avec présence d'onglets : Champs qui deviennent non visibles

Dans le studio, la modification d'un formulaire qui contient des onglets peut entrainer une invisibilité de certains champs.

## 4- Studio - Bogue d'affichage sur l'étiquette des champ de type "curseur"

![](images/curseur_etiquette.jpg)

## 5- Module cadastre - Fiche descriptive d'un invariant

Correction d'une faute d'orthographe dans la fiche descriptive d'un invariant.

![](images/fiche_descriptive_invariant.jpg)

## 6- Module cadastre - Rapport Excel illisible pour cause de problèmes d'encodage

## 7- Module cadastre - La colonne "nature" du rapport "Propriétaire des locaux" est toujours vide

## 8- Requêteur : Nombre d'enregistrements total

Le nombre d'enregistrements total d'un objet métier visible dans le requêteur n'est pas correct à partir de la deuxième ouverture du requêteur.

![](images/requeteur_nbr_enregistrements.jpg)

## 9- Calque : Erreur 500 lors du tri des "Objets métiers" par la colonne "Table"

## 10- Objet métier : Tri alphabétique de la liste déroulante des objets métiers en insertion

![](images/liste_insertion_objet_metier.jpg)

## 11- Objet métier : Champs résultant du "SQL Summary"

Lors de la création d'un objet métier, deux champs sont liés aux résultats de la requête du "SQL Summary" :

* Champ à afficher pour la localisation
* Champ à afficher pour les info-bulles multiples

Les boutons "Champ à afficher pour la localisation" et "Champ à afficher pour les info-bulles multiples", permettant de remplir les listes déroulantes, doivent prendre en compte le résultat de la requête "SQL Summary".

## 12- Impression : Affichage des couches "non visibles" 

Les couches non visibles  par défaut (décochées) d'un calque sont visibles dans les impressions.

## 13- Impression : Lenteur pour afficher les modèles 

Lorsque de nombreux modèles d'impressions sont affectés à un utilisateur, le temps de chargement d'un modèle est très long.

## 14- Liste déroulante de "Localisation" en erreur lorsqu'aucun géocodeur par défaut n'est configuré

La liste déroulante de localisation permet d'afficher deux géocodeurs par défaut en plus des objets métiers qui sont donnés comme "Localisables".
Cependant lorsqu'une carte ne comporte aucun objet métier localisable et que les géocodeurs par défaut ont été enlevés en properties (propriété "$properties['vmap_geocoders’]" présente dans le fichier ".\vmap\vas\rest\conf\vmap\properties_server.inc", la liste déroulante affiche une variable AngularJS au lieu d'être vide :

![](images/localisation_aucun_geocodeur.png)


## 15. Objet métier non cartographique : la création d'un objet métier sans renseigner la "Colonne géométrie" est impossible.
