#!/bin/bash
#
#
# 	Script d'initialisation d'un dépot vMap versionné sous git
#	Initislise l'ensemble des dépendances sous forme de subtrees
#   Crée des symlinks pour re-créer l'arborescence de l'application
#
#

if [ `whoami` == "root" ]; then
    echo "Please, do not run this script as sudo"
else

    # Ajoute utils
    if [ -f ".gitmodules" ]; then
        rm -R utils
        git submodule add -f -b submodules "git@gitlab.veremes.net:Development/vitis_apps/sources/utils.git" utils
    fi

    cd utils/
    if [ -f ".gitmodules" ]; then
        ./init_submodules.sh
    fi
    ./init_symlinks.sh
    ./copy_hooks.sh

    cd ../conf
    npm install grunt --save
    npm install grunt-cli
    npm install grunt-closure-tools --save
    npm install google-closure-compiler@20160911.0.0 --save
    npm install google-closure-library@20160911.0.0 --save
    grunt -dev
fi
